Package com.ocient.jdbc.proto

# Class PlanProtocol.TestColumn

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.PlanProtocol.TestColumn

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.TestColumnOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.TestColumn
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.TestColumnOrBuilder

Protobuf type `xg.db.sqlPlans.TestColumn`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.TestColumn.Builder` | Protobuf type `xg.db.sqlPlans.TestColumn`
`static class` | `PlanProtocol.TestColumn.StartValsCase` |

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `BIGINT_START_FIELD_NUMBER` |
`static int` | `BINARY_START_FIELD_NUMBER` |
`static int` | `BOOL_START_FIELD_NUMBER` |
`static int` | `BYTE_START_FIELD_NUMBER` |
`static int` | `COLTYPE_FIELD_NUMBER` |
`static int` | `CYCLELEN_FIELD_NUMBER` |
`static int` | `DATE_START_FIELD_NUMBER` |
`static int` | `DOUBLE_START_FIELD_NUMBER` |
`static int` | `FLOAT_START_FIELD_NUMBER` |
`static int` | `INT_START_FIELD_NUMBER` |
`static int` | `IPV4_START_FIELD_NUMBER` |
`static int` | `NULLCHANCE_FIELD_NUMBER` |
`static int` | `NULLCYCLE_FIELD_NUMBER` |
`static int` | `SMALLINT_START_FIELD_NUMBER` |
`static int` | `TIMESTAMP_START_FIELD_NUMBER` |
`static int` | `VARCHAR_START_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`long` | `getBigintStart()` | `int64 bigint_start = 6;`
`String` | `getBinaryStart()` | note that this must also be an int32 in string format
`com.google.protobuf.ByteString` | `getBinaryStartBytes()` | note that this must also be an int32 in string format
`boolean` | `getBoolStart()` | `bool bool_start = 9;`
`int` | `getByteStart()` | note that this will be cast to an int8_t but protobuf doesnt have an int8 type
`PlanProtocol.SqlColType` | `getColType()` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`int` | `getColTypeValue()` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`long` | `getCycleLen()` | the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing
`int` | `getDateStart()` | note that this must be a valid date
`static PlanProtocol.TestColumn` | `getDefaultInstance()` |
`PlanProtocol.TestColumn` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`double` | `getDoubleStart()` | `double double_start = 8;`
`float` | `getFloatStart()` | `float float_start = 7;`
`int` | `getIntStart()` | `int32 int_start = 5;`
`int` | `getIpv4Start()` | `uint32 ipv4_start = 10;`
`double` | `getNullChance()` | `double nullChance = 15;`
`long` | `getNullCycle()` | `uint64 nullCycle = 16;`
`com.google.protobuf.Parser<PlanProtocol.TestColumn>` | `getParserForType()` |
`int` | `getSerializedSize()` |
`int` | `getSmallintStart()` | note that this will be cast to an int16_t but protobuf doesnt have an int16 type
`PlanProtocol.TestColumn.StartValsCase` | `getStartValsCase()` |
`long` | `getTimestampStart()` | `int64 timestamp_start = 14;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`String` | `getVarcharStart()` | note that this must be an int32 in string format
`com.google.protobuf.ByteString` | `getVarcharStartBytes()` | note that this must be an int32 in string format
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static PlanProtocol.TestColumn.Builder` | `newBuilder()` |
`static PlanProtocol.TestColumn.Builder` | `newBuilder​(PlanProtocol.TestColumn prototype)` |
`PlanProtocol.TestColumn.Builder` | `newBuilderForType()` |
`protected PlanProtocol.TestColumn.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static PlanProtocol.TestColumn` | `parseDelimitedFrom​(InputStream input)` |
`static PlanProtocol.TestColumn` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TestColumn` | `parseFrom​(byte[] data)` |
`static PlanProtocol.TestColumn` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TestColumn` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static PlanProtocol.TestColumn` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TestColumn` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static PlanProtocol.TestColumn` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TestColumn` | `parseFrom​(InputStream input)` |
`static PlanProtocol.TestColumn` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.TestColumn` | `parseFrom​(ByteBuffer data)` |
`static PlanProtocol.TestColumn` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<PlanProtocol.TestColumn>` | `parser()` |
`PlanProtocol.TestColumn.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### COLTYPE_FIELD_NUMBER

public static final int COLTYPE_FIELD_NUMBER

See Also:
  Constant Field Values

### CYCLELEN_FIELD_NUMBER

public static final int CYCLELEN_FIELD_NUMBER

See Also:
  Constant Field Values

### BYTE_START_FIELD_NUMBER

public static final int BYTE_START_FIELD_NUMBER

See Also:
  Constant Field Values

### SMALLINT_START_FIELD_NUMBER

public static final int SMALLINT_START_FIELD_NUMBER

See Also:
  Constant Field Values

### INT_START_FIELD_NUMBER

public static final int INT_START_FIELD_NUMBER

See Also:
  Constant Field Values

### BIGINT_START_FIELD_NUMBER

public static final int BIGINT_START_FIELD_NUMBER

See Also:
  Constant Field Values

### FLOAT_START_FIELD_NUMBER

public static final int FLOAT_START_FIELD_NUMBER

See Also:
  Constant Field Values

### DOUBLE_START_FIELD_NUMBER

public static final int DOUBLE_START_FIELD_NUMBER

See Also:
  Constant Field Values

### BOOL_START_FIELD_NUMBER

public static final int BOOL_START_FIELD_NUMBER

See Also:
  Constant Field Values

### IPV4_START_FIELD_NUMBER

public static final int IPV4_START_FIELD_NUMBER

See Also:
  Constant Field Values

### VARCHAR_START_FIELD_NUMBER

public static final int VARCHAR_START_FIELD_NUMBER

See Also:
  Constant Field Values

### BINARY_START_FIELD_NUMBER

public static final int BINARY_START_FIELD_NUMBER

See Also:
  Constant Field Values

### DATE_START_FIELD_NUMBER

public static final int DATE_START_FIELD_NUMBER

See Also:
  Constant Field Values

### TIMESTAMP_START_FIELD_NUMBER

public static final int TIMESTAMP_START_FIELD_NUMBER

See Also:
  Constant Field Values

### NULLCHANCE_FIELD_NUMBER

public static final int NULLCHANCE_FIELD_NUMBER

See Also:
  Constant Field Values

### NULLCYCLE_FIELD_NUMBER

public static final int NULLCYCLE_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getStartValsCase

public PlanProtocol.TestColumn.StartValsCase getStartValsCase()

Specified by:
  `getStartValsCase` in interface `PlanProtocol.TestColumnOrBuilder`

### getColTypeValue

public int getColTypeValue()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

Specified by:
  `getColTypeValue` in interface `PlanProtocol.TestColumnOrBuilder`

### getColType

public PlanProtocol.SqlColType getColType()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

Specified by:
  `getColType` in interface `PlanProtocol.TestColumnOrBuilder`

### getCycleLen

public long getCycleLen()

    the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing

`uint64 cycleLen = 2;`

Specified by:
  `getCycleLen` in interface `PlanProtocol.TestColumnOrBuilder`

### getByteStart

public int getByteStart()

    note that this will be cast to an int8_t but protobuf doesnt have an int8 type

`int32 byte_start = 3;`

Specified by:
  `getByteStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getSmallintStart

public int getSmallintStart()

    note that this will be cast to an int16_t but protobuf doesnt have an int16 type

`int32 smallint_start = 4;`

Specified by:
  `getSmallintStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getIntStart

public int getIntStart()
`int32 int_start = 5;`

Specified by:
  `getIntStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getBigintStart

public long getBigintStart()
`int64 bigint_start = 6;`

Specified by:
  `getBigintStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getFloatStart

public float getFloatStart()
`float float_start = 7;`

Specified by:
  `getFloatStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getDoubleStart

public double getDoubleStart()
`double double_start = 8;`

Specified by:
  `getDoubleStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getBoolStart

public boolean getBoolStart()
`bool bool_start = 9;`

Specified by:
  `getBoolStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getIpv4Start

public int getIpv4Start()
`uint32 ipv4_start = 10;`

Specified by:
  `getIpv4Start` in interface `PlanProtocol.TestColumnOrBuilder`

### getVarcharStart

public String getVarcharStart()

    note that this must be an int32 in string format

`string varchar_start = 11;`

Specified by:
  `getVarcharStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getVarcharStartBytes

public com.google.protobuf.ByteString getVarcharStartBytes()

    note that this must be an int32 in string format

`string varchar_start = 11;`

Specified by:
  `getVarcharStartBytes` in interface `PlanProtocol.TestColumnOrBuilder`

### getBinaryStart

public String getBinaryStart()

    note that this must also be an int32 in string format

`string binary_start = 12;`

Specified by:
  `getBinaryStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getBinaryStartBytes

public com.google.protobuf.ByteString getBinaryStartBytes()

    note that this must also be an int32 in string format

`string binary_start = 12;`

Specified by:
  `getBinaryStartBytes` in interface `PlanProtocol.TestColumnOrBuilder`

### getDateStart

public int getDateStart()

    note that this must be a valid date

`int32 date_start = 13;`

Specified by:
  `getDateStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getTimestampStart

public long getTimestampStart()
`int64 timestamp_start = 14;`

Specified by:
  `getTimestampStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getNullChance

public double getNullChance()
`double nullChance = 15;`

Specified by:
  `getNullChance` in interface `PlanProtocol.TestColumnOrBuilder`

### getNullCycle

public long getNullCycle()
`uint64 nullCycle = 16;`

Specified by:
  `getNullCycle` in interface `PlanProtocol.TestColumnOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.TestColumn parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.TestColumn parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.TestColumn parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PlanProtocol.TestColumn.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static PlanProtocol.TestColumn.Builder newBuilder()

### newBuilder

public static PlanProtocol.TestColumn.Builder newBuilder​(PlanProtocol.TestColumn prototype)

### toBuilder

public PlanProtocol.TestColumn.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected PlanProtocol.TestColumn.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static PlanProtocol.TestColumn getDefaultInstance()

### parser

public static com.google.protobuf.Parser<PlanProtocol.TestColumn> parser()

### getParserForType

public com.google.protobuf.Parser<PlanProtocol.TestColumn> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public PlanProtocol.TestColumn getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`